Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
WEB server access
#1
I can't access PPMAC Web

http://192.168.0.200
http://192.168.0.200/index.html is same
Connection is no probs.

firmware : 1.5.8.0 and 1.6.0.9
I can see only Title " PPMAC Web - Home"
Other PC result is same..


Attached Files Image(s)
   
Reply
#2
Does your firewall allow access to this address?
Is the PMAC turned on and connected to a network that your PC can access?
Reply
#3
Hi CharlesP~

I'm sorry to be late in replying.

There is no problem (I'm just being test- PC to PPMAC direct connect)
About Two month before the issue was not.
But now most PC have same problem.
Reply
#4
Hi CharlesP.

Now web access is no problem.
I updated "powerpmacweb.deb" in 1.4.0.27 release firmware.
Is there any compatibility issues with the latest firmware(1.6.0.9)?

for example "Diagnostics => Step Move " values seems to have a problem.


Attached Files Image(s)
   
Reply
#5
Your problem is, you have no motors enabled, just like the window tells you.

There should be no problems upgrading firmware.
Reply
#6
Hi~ CharlesP

Look at the image..
derivative gain 1,2 and velocity feed forward 1,2 are different.
That is not problem of no motor enabled.
Reply
#7
Can you rephrase your overarching problem? I am not understanding.
Reply
#8
With no motors enabled, we can't be sure which motor is being looked at by the Tuning window. If the tuning window is looking at motor 2, but the web is looking at motor 1, then having different values between them isn't a problem. By default, I believe the tuning window should look at motor 1, but I do not know if that is always the case. If you activated a motor, then we would know that the tuning window is referring to that motor.

Edit: Removed comment about Firmware, as corrected/contradicted by Steve Milici below.
Reply
#9
Please be aware that the WEB-server for Power PMAC (especially the "Diagnostics" features like the step move) was designed for the older version of firmware (1.4.0.27) and is not compatible with the new firmware (1.6.0.9). This code interfaces with the gplib library of Power PMAC.

We do not have plans to update this code for later firmware. If you are familiar with Linux and you understand the gplib library of Power PMAC you could rewrite this code.
Reply
#10
(02-25-2014, 02:08 PM)steve.milici Wrote: Please be aware that the WEB-server for Power PMAC (especially the "Diagnostics" features like the step move) was designed for the older version of firmware (1.4.0.27) and is not compatible with the new firmware (1.6.0.9). This code interfaces with the gplib library of Power PMAC.

We do not have plans to update this code for later firmware. If you are familiar with Linux and you understand the gplib library of Power PMAC you could rewrite this code.

Hi,

Then where is the source code and what file should I rewrite.
Could you tell me more in details ?

Thank in advance.
Reply
#11
Please note that this is a "pure Linux" venture (creating a WEB-page) and is outside the scope of Power PMAC development. The WEB files are in the "/opt/www/" directory.
Reply
#12
Last time i tries to build the web project from the source on the ppmac it turned out it was missing files and not buildable. I think it doesnt work in version 1.5.8 and newer. I also get the name on the title bar but no page data.
Reply
#13
Our last supported firmware with WEB-server was 1.4.0.27. This is a Linux OS task and we no longer support this as a Power PMAC feature.
Reply
#14
Thats unfortunate as many of competitor controllers come with built in web interfaces.

I am disappointed in the lack of support for the web interface (saying it's Linux and the end user should write their own is not OK), the Power PMAC is a nice product but lacking some of these high level polished refinements.
Reply
#15
If you download that version of firmware from the FileDepot there is a .deb file with our original "WWW" files to use as starting point for your own code. Many of the original features work with current firmware, i.e. terminal window, position window some others don't as the api has changed.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)